import { expect, expectAsync, tap, webhelpers } from '@push.rocks/tapbundle';

import * as deesEditorLib from '../ts_web/index.js';

tap.test('test dees-editor', async () => {
  const deesEditor = new deesEditorLib.DeesEditor();
  expect(deesEditor).toBeInstanceOf(deesEditorLib.DeesEditor);
});

tap.test('test dees-terminal', async () => {
  const deesTerminal = await webhelpers.fixture(`<dees-terminal></dees-terminal>`);
  expect(deesTerminal).toBeInstanceOf(deesEditorLib.DeesTerminal);
});

tap.start();
